Package org.apache.any23.extractor.html

## Class HResumeExtractor

- java.lang.Object
- - org.apache.any23.extractor.html.MicroformatExtractor
  - - org.apache.any23.extractor.html.EntityBasedMicroformatExtractor
    - - org.apache.any23.extractor.html.HResumeExtractor

- All Implemented Interfaces:
    `org.apache.any23.extractor.Extractor<Document>`, `org.apache.any23.extractor.Extractor.TagSoupDOMExtractor`

      public class HResumeExtractor
      extends EntityBasedMicroformatExtractor

  Extractor for the hResume microformat.
  Author:
    Gabriele Renzi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor

      `org.apache.any23.extractor.Extractor.BlindExtractor, org.apache.any23.extractor.Extractor.ContentExtractor, org.apache.any23.extractor.Extractor.TagSoupDOMExtractor`

  - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.MicroformatExtractor

      `BEGIN_SCRIPT, END_SCRIPT, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HResumeExtractor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `extractEntity​(Node node, org.apache.any23.extractor.ExtractionResult out)` | Extracts an entity from a DOM node.
    `String` | `getBaseClassName()` | Returns the base class name for the extractor.
    `org.apache.any23.extractor.ExtractorDescription` | `getDescription()` | Returns the description of this extractor.
    `protected void` | `resetExtractor()` | Resets the internal status of the extractor to prepare it to a new extraction section.

    - ### Methods inherited from class org.apache.any23.extractor.html.EntityBasedMicroformatExtractor

      `extract, getBlankNodeFor`

    - ### Methods inherited from class org.apache.any23.extractor.html.MicroformatExtractor

      `addBNodeProperty, addBNodeProperty, addIRIProperty, conditionallyAddLiteralProperty, conditionallyAddResourceProperty, conditionallyAddStringProperty, fixLink, fixLink, getCurrentExtractionResult, getDocumentIRI, getExtractionContext, getHTMLDocument, includes, openSubResult, run, setCurrentExtractionResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HResumeExtractor

          public HResumeExtractor()

  - ### Method Detail

    - #### getDescription

          public org.apache.any23.extractor.ExtractorDescription getDescription()

      Description copied from class: `MicroformatExtractor`
      Returns the description of this extractor.
      Specified by:
        `getDescription` in interface `org.apache.any23.extractor.Extractor<Document>`
      Specified by:
        `getDescription` in class `MicroformatExtractor`
      Returns:
        a human readable description.

    - #### getBaseClassName

          public String getBaseClassName()

      Description copied from class: `EntityBasedMicroformatExtractor`
      Returns the base class name for the extractor.
      Specified by:
        `getBaseClassName` in class `EntityBasedMicroformatExtractor`
      Returns:
        a string containing the base of the extractor.

    - #### resetExtractor

          protected void resetExtractor()

      Description copied from class: `EntityBasedMicroformatExtractor`
      Resets the internal status of the extractor to prepare it to a new extraction section.
      Specified by:
        `resetExtractor` in class `EntityBasedMicroformatExtractor`

    - #### extractEntity

          protected boolean extractEntity​(Node node,
                                          org.apache.any23.extractor.ExtractionResult out)

      Description copied from class: `EntityBasedMicroformatExtractor`
      Extracts an entity from a DOM node.
      Specified by:
        `extractEntity` in class `EntityBasedMicroformatExtractor`
      Parameters:
        `node` - the DOM node.
        `out` - the extraction result collector.
      Returns:
        `true` if the extraction has produces something, `false` otherwise.